#!/usr/bin/env python
#
#    Copyright (c) 2009 Tom Keffer <tkeffer@gmail.com>
#
#    See the file LICENSE.txt for your full rights.
#
#    $Revision: 233 $
#    $Author: tkeffer $
#    $Date: 2010-04-12 15:41:45 -0700 (Mon, 12 Apr 2010) $
#
"""weewxd.py

Entry point to the weewx weather system.

If you wish to use a different engine than the default, 
then subclass the default engine "StdEngine" and specify that class in
the call to the main entry point as parameter 'EngineClass'.

See the document "customizing.htm" for details.
"""

import weewx.wxengine

# Enter the main loop. This call will use the default
# engine, StdEngine, but this can be overridden with
# keyword EngineClass. E.g.,
#
# weewx.wxengine.main(EngineClass = MyEngine)
#
weewx.wxengine.main()
